
Redmine - Feature #4962

"Hide my email address" enable by default

2010-03-02 10:29 - Thomas NOEL

Status: Closed Start date: 2010-03-02

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

By default, redmine disable the "Hide my email address" option.

IMHO it would be better to hide the email address by default. Or, if possible, to have an option in the authentication settings ("hide

emails by default for new accounts ?").

I do not know enough about Ruby to help you with a patch proposal... sorry.

Related issues:

Related to Redmine - Feature #707: Hide email address from unregistered users Closed 2008-02-21

Is duplicate of Redmine - Feature #21042: Check "Hide my email address" by de... Closed

History

#1 - 2010-03-03 22:35 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2010-09-25 14:53 - Nils Hillmann

You should take a look at the plugin http://github.com/splendeo/redmine_hide_emails_by_default/

#3 - 2012-04-10 13:32 - Kirill Kornyakov

- Status changed from New to Resolved

#4 - 2013-09-04 21:21 - Craig Rodrigues

This issue is not resolved.  Can the Redmine admins instead

tag this as a duplicate of #707

#5 - 2013-09-17 09:35 - Toshi MARUYAMA

- Status changed from Resolved to New

#6 - 2016-08-23 03:57 - Go MAEDA

- Is duplicate of Feature #21042: Check "Hide my email address" by default for new users added

#7 - 2016-08-23 04:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #21042 (Redmine 3.2.0). "Hide my email address" is checked by default for new users.
